BUS_REMOVE_DEVICE(9)

NAME
bus_remove_device - remove device from bus

SYNOPSIS

void bus_remove_device (struct device * dev);

ARGUMENTS

dev device to be removed

DESCRIPTION

- Remove symlink from bus's directory. - Delete device from bus's list. - Detach from its driver. - Drop reference taken in bus_add_device.